Cancel HVO Deployment
Cancel a deployment of configuration changes to a high volume object. To use this endpoint, your HVO configuration_state must be IN_DEPLOYMENT.
POST
/api/{version}/metadata/vobjects/{object_name}/actions/canceldeploymentHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The name of the object on which to cancel deployment. This object’s configuration_state must be IN_DEPLOYMENT. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v21.3/metadata/vobjects/product__c/actions/canceldeploymentResponse
Section link for Response{
"responseStatus": "SUCCESS"
}Response Details
Section link for Response DetailsIf the deployment is cancelled successfully, the API returns SUCCESS.